license_gatherer 1.0.2
license_gatherer: ^1.0.2 copied to clipboard

Collect licenses of Dart/Flutter dependencies and generate NOTICES file.

license_gatherer #

Collect all licenses of your dependencies into a single formatted file.

license_gatherer reads your pubspec.yaml to gather licenses for all your dependencies (Hosted, Git, Path and SDK supported).

Prerequisites #

Please note that in order for license_gatherer to work, you must have already run pub get in your project, which must have created a .dart_tool/package_config.json file.

Installation #

To install license_gatherer run the following command:

dart pub global activate license_gatherer

Usage #

Run license_gatherer #

# If your path is set up correctly
license_gatherer -h

# Otherwise
dart pub global run license_gatherer

Arguments #

$ license_gatherer -h
license_gatherer v1.0.2 - Copyright Rubin Raithel
-i, --pubspec                 Path to pubspec.yaml to extract licenses from (mandatory)
-o, --notices                 Path to file that notices are saved to
                              (defaults to "NOTICES")

=== Miscellaneous
-f, --[no-]flutter-version    Whether to dynamically determine flutter version if in dependencies
                              (defaults to on)
-h, --help                    Display this usage description
-v, --version                 Display current version

Example #

You can find some example-output generated by license_gatherer in its own NOTICES file here.

License #

BSD 3-Clause “New” or “Revised” License

0
likes
110
pub points
0%
popularity

Publisher

rubinraithel.de

Collect licenses of Dart/Flutter dependencies and generate NOTICES file.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

args, path, pubspec_parse

More

Packages that depend on license_gatherer